Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage:

## Public Member Functions
| __construct (Connection $connection)
| storeFieldData (VersionInfo $versionInfo, Field $field)
| Store the data stored in the given $field. More...
| getFieldData (VersionInfo $versionInfo, Field $field)
| Set the loaded field data into $field->externalData. More...
| deleteFieldData (VersionInfo $versionInfo, array $fieldIds)
| Delete the data for all given $fieldIds. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\StorageGateway
| setConnection ($connection)
| Sets the data storage connection to use. More...

## Public Attributes
const | MAP_LOCATION_TABLE = 'ezgmaplocation'

## Protected Member Functions
| updateFieldData (VersionInfo $versionInfo, Field $field)
| Perform an update on the field data. More...
| storeNewFieldData (VersionInfo $versionInfo, Field $field)
| Store new field data. More...
| loadFieldData ($fieldId, $versionNo)
| Return the data for the given $fieldId. More...
| hasFieldData ($fieldId, $versionNo)
| Return if field data exists for $fieldId. More...
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Protected Attributes
| $connection

## Detailed Description

Definition at line 15 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::__construct | ( | Connection | $connection | ) |

Definition at line 22 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\$connection.

## Member Function Documentation

## ◆ deleteFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::deleteFieldData | ( | VersionInfo | $versionInfo,
|  | array | $fieldIds
| ) |  |

Delete the data for all given $fieldIds.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  int[] | $fieldIds |

Reimplemented from eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway.

Definition at line 212 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\storeFieldData().

## ◆ getFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::getFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |

Set the loaded field data into $field->externalData.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |

Returns
  array

Reimplemented from eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway.

Definition at line 138 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\loadFieldData().

## ◆ hasFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::hasFieldData | ( |  | $fieldId,
|  |  | $versionNo
| ) |  |
| protected

Return if field data exists for $fieldId.

Parameters

  int | $fieldId |
  int | $versionNo |

Returns
  bool

Definition at line 201 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\loadFieldData().

Referenced by eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\storeFieldData().

## ◆ loadFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::loadFieldData | ( |  | $fieldId,
|  |  | $versionNo
| ) |  |
| protected

Return the data for the given $fieldId.

If no data is found, null is returned.

Parameters

  int | $fieldId |
  int | $versionNo |

Returns
  array|null

Definition at line 153 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\getFieldData(), and eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\hasFieldData().

## ◆ storeFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::storeFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |

Store the data stored in the given $field.

Potentially rewrites data in $field and returns true, if the $field needs to be updated in the database.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |

Returns
  bool If restoring of the internal field data is required

Reimplemented from eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway.

Definition at line 38 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\deleteFieldData(), eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\hasFieldData(), eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\storeNewFieldData(), and eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\updateFieldData().

## ◆ storeNewFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::storeNewFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |
| protected

Store new field data.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |

Definition at line 108 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\storeFieldData().

## ◆ updateFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::updateFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |
| protected

Perform an update on the field data.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |

Returns
  bool

Definition at line 73 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\storeFieldData().

## Member Data Documentation

## ◆ $connection

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::$connection
| protected

Definition at line 20 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage\__construct().

## ◆ MAP_LOCATION_TABLE

const eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage::MAP_LOCATION_TABLE = 'ezgmaplocation'

Definition at line 17 of file MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php.

The documentation for this class was generated from the following file:

- MapLocation/MapLocationStorage/Gateway/DoctrineStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.